For the complete documentation index, see llms.txt. This page is also available as Markdown.

Conversation

Manage Agent Conversations (Preview)

Listing conversations

get

Retrieves agent conversations based on the provided query.

Required scopes
This endpoint requires the following scopes:
  • : Needed to read AI agents.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant name should always be provided in lowercase.

Query parameters
qstringOptional

A standard query parameter is used to search for specific values.

See: Standard Practices - Query parameter

pageSizestringOptional

The number of documents to be retrieved per page.

pageNumberstringOptional

The page number to be retrieved. The size of the pages should be specified by the pageSize parameter.

sortstringOptional

List of properties used to sort the results, separated by colons.

fieldsstringOptional

Fields to be returned in the response.

Header parameters
X-Total-CountbooleanOptional

Flag indicating whether the total number of retrieved results should be returned.

Responses
200

List of conversations.

application/json

Represents an active agent conversation context (MS Teams channel or group chat).

conversationIdstringOptional

Provider-side conversation identifier (Teams conversation ID).

conversationNamestringOptional

Human-readable name of the conversation channel or group chat.

contextRefstringOptional

Caller-supplied reference key used to reuse an existing conversation.

channelIdstringOptional

Teams channel or chat identifier.

agentIdstringOptional

Identifier of the agent that owns this conversation.

sessionIdstringOptional

LangGraph session (checkpointer) ID for agent continuity.

lastMessageAtstring · date-timeOptional

Timestamp of the last message activity in this conversation.

get/ai-service/{tenant}/agentic/conversations

Searching conversations

post

Searches for agent conversations based on the provided query.

Required scopes
This endpoint requires the following scopes:
  • : Needed to read AI agents.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant name should always be provided in lowercase.

Query parameters
pageSizestringOptional

The number of documents to be retrieved per page.

pageNumberstringOptional

The page number to be retrieved. The size of the pages should be specified by the pageSize parameter.

sortstringOptional

List of properties used to sort the results, separated by colons.

fieldsstringOptional

Fields to be returned in the response.

Header parameters
X-Total-CountbooleanOptional

Flag indicating whether the total number of retrieved results should be returned.

Body
qstringOptional

A standard query parameter is used to search for specific values.

See: Standard Practices - Query parameter

Responses
200

List of conversations.

application/json

Represents an active agent conversation context (MS Teams channel or group chat).

conversationIdstringOptional

Provider-side conversation identifier (Teams conversation ID).

conversationNamestringOptional

Human-readable name of the conversation channel or group chat.

contextRefstringOptional

Caller-supplied reference key used to reuse an existing conversation.

channelIdstringOptional

Teams channel or chat identifier.

agentIdstringOptional

Identifier of the agent that owns this conversation.

sessionIdstringOptional

LangGraph session (checkpointer) ID for agent continuity.

lastMessageAtstring · date-timeOptional

Timestamp of the last message activity in this conversation.

post/ai-service/{tenant}/agentic/conversations/search

Last updated

Was this helpful?